CREATE TABLE fv_ipac_transaction_data (
    TRANSACTION_DATA_ID               NUMBER(18, 0) ,
    TRANSACTION_LOAD_DATE             DATE              NOT NULL,
    STATUS_CODE                       VARCHAR2(120)     NOT NULL,
    COMMENTS                          VARCHAR2(2000),
    TRANSACTION_TYPE_CODE             VARCHAR2(120)     NOT NULL,
    TRANSACTION_ID                    NUMBER(18, 0)     NOT NULL,
    DETAIL_LINE_NUMBER                NUMBER(3, 0)      NOT NULL,
    DOCUMENT_ID                       NUMBER(18, 0) ,
    INVOICE_NUMBER                    VARCHAR2(120)     NOT NULL,
    INVOICE_AMOUNT                    NUMBER            NOT NULL,
    USER_ATTRIBUTE_1                  VARCHAR2(600) ,
    USER_ATTRIBUTE_2                  VARCHAR2(600) ,
    USER_ATTRIBUTE_3                  VARCHAR2(600) ,
    USER_ATTRIBUTE_4                  VARCHAR2(600) ,
    USER_ATTRIBUTE_5                  VARCHAR2(600) ,
    USER_ATTRIBUTE_6                  VARCHAR2(600) ,
    USER_ATTRIBUTE_7                  VARCHAR2(600) ,
    USER_ATTRIBUTE_8                  VARCHAR2(600) ,
    USER_ATTRIBUTE_9                  VARCHAR2(600) ,
    USER_ATTRIBUTE_10                 VARCHAR2(600) ,
    USER_ATTRIBUTE_11                 VARCHAR2(600) ,
    USER_ATTRIBUTE_12                 VARCHAR2(600) ,
    USER_ATTRIBUTE_13                 VARCHAR2(600) ,
    USER_ATTRIBUTE_14                 VARCHAR2(600) ,
    USER_ATTRIBUTE_15                 VARCHAR2(600) ,
    SUBMITTER_ALC                     VARCHAR2(120) ,
    ORIGINATOR_ALC                    VARCHAR2(120) ,
    CUSTOMER_ALC                      VARCHAR2(120) ,
    CONTACT_NAME                      VARCHAR2(1440),
    CONTACT_EMAIL_ADDRESS             VARCHAR2(1280),
    CONTACT_PHONE_NUMBER              VARCHAR2(240) ,
    NUMBER_OF_DETAIL_ITEMS            NUMBER(3, 0)  ,
    ACCOMPLISHED_DATE                 DATE          ,
    ACCOUNTING_DATE                   DATE          ,
    TRX_CONTRACT_NUMBER               VARCHAR2(120) ,
    PURCHASE_ORDER_NUMBER             VARCHAR2(120) ,
    CLIN_NUMBER                       VARCHAR2(120) ,
    REQUISITION_NUMBER                VARCHAR2(120) ,
    QUANTITY                          NUMBER            NOT NULL,
    UNIT_OF_ISSUE                     VARCHAR2(40)      NOT NULL,
    UNIT_PRICE                        NUMBER            NOT NULL,
    DETAIL_AMOUNT                     NUMBER            NOT NULL,
    PAYMENT_FLAG                      VARCHAR2(4)   ,
    FY_OBLIGATION_ID                  NUMBER(18, 0) ,
    RECEIVER_TAS                      VARCHAR2(140) ,
    RECEIVER_BETC                     VARCHAR2(32)  ,
    RECEIVER_DUNS_OR_UEI              VARCHAR2(48)  ,
    RECEIVER_DUNS_PLUS_4_OR_EFT       VARCHAR2(16)  ,
    SENDER_TAS                        VARCHAR2(140) ,
    SENDER_BETC                       VARCHAR2(32)  ,
    SENDER_DUNS_OR_UEI                VARCHAR2(48)  ,
    SENDER_DUNS_PLUS_4_OR_EFT         VARCHAR2(16)  ,
    RECEIVER_DEPARTMENT_CODE          VARCHAR2(120) ,
    ACCOUNTING_CLASSIFICATION_CODE    VARCHAR2(120) ,
    ACRN_NUMBER                       VARCHAR2(120) ,
    JOB_PROJECT_NUMBER                VARCHAR2(120) ,
    JAS_NUMBER                        VARCHAR2(120) ,
    FSN_AAA_ADSN_NUMBER               NUMBER(9, 0)  ,
    OBLIGATING_DOCUMENT_NUMBER        VARCHAR2(120) ,
    ACT_TRACE_NUMBER                  NUMBER(30, 0) ,
    DESCRIPTION                       VARCHAR2(2000),
    MISCELLANEOUS_INFORMATION         VARCHAR2(2000),
    ORIGINAL_TRX_TYPE_CODE            VARCHAR2(120) ,
    IPAC_DOCUMENT_REF_NUMBER          NUMBER(18, 0) ,
    SENDER_DOS_ALC                    VARCHAR2(100) ,
    DODAAC_CODE                       VARCHAR2(120) ,
    TRX_CONTACT_EMAIL_ADDRESS         VARCHAR2(1280),
    TRANSACTION_CONTACT_PHONE         VARCHAR2(240) ,
    VOUCHER_NUMBER                    VARCHAR2(120) ,
    ORIGINAL_DOS_ALC                  VARCHAR2(100) ,
    ORIGINAL_ACCOMPLISHED_DATE        DATE          ,
    ORIGINAL_ACCOUNTING_DATE          DATE          ,
    ORIGINAL_DOCUMENT_REF_NUMBER      NUMBER(18, 0) ,
    SUMMARY_AMOUNT                    NUMBER        ,
    RECORD_TYPE_CODE                  VARCHAR2(120) ,
    USSGL_TRANSACTION_CODE            VARCHAR2(120) ,
    TAXPAYER_NUMBER                   VARCHAR2(200) ,
    TAXPAYER_NAME                     VARCHAR2(1440),
    TRX_SET_CODE                      VARCHAR2(120) ,
    IPAC_BILLING_ID                   NUMBER(18, 0) ,
    CUSTOMER_ID                       NUMBER(18, 0) ,
    CUSTOMER_NAME                     VARCHAR2(1440),
    CUSTOMER_TRX_ID                   NUMBER(18, 0) ,
    CREDIT_DEBIT_CODE                 VARCHAR2(120) ,
    ACCOUNTED_FLAG                    VARCHAR2(4)   ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE_CATEGORY                VARCHAR2(600) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    TRANSACTION_DATA_ID               NUMBER(18, 0) ,
    TRANSACTION_LOAD_DATE             DATE              NOT NULL,
    STATUS_CODE                       VARCHAR2(120)     NOT NULL,
    COMMENTS                          VARCHAR2(2000),
    TRANSACTION_TYPE_CODE             VARCHAR2(120)     NOT NULL,
    TRANSACTION_ID                    NUMBER(18, 0)     NOT NULL,
    DETAIL_LINE_NUMBER                NUMBER(3, 0)      NOT NULL,
    DOCUMENT_ID                       NUMBER(18, 0) ,
    INVOICE_NUMBER                    VARCHAR2(120)     NOT NULL,
    INVOICE_AMOUNT                    NUMBER            NOT NULL,
    USER_ATTRIBUTE_1                  VARCHAR2(600) ,
    USER_ATTRIBUTE_2                  VARCHAR2(600) ,
    USER_ATTRIBUTE_3                  VARCHAR2(600) ,
    USER_ATTRIBUTE_4                  VARCHAR2(600) ,
    USER_ATTRIBUTE_5                  VARCHAR2(600) ,
    USER_ATTRIBUTE_6                  VARCHAR2(600) ,
    USER_ATTRIBUTE_7                  VARCHAR2(600) ,
    USER_ATTRIBUTE_8                  VARCHAR2(600) ,
    USER_ATTRIBUTE_9                  VARCHAR2(600) ,
    USER_ATTRIBUTE_10                 VARCHAR2(600) ,
    USER_ATTRIBUTE_11                 VARCHAR2(600) ,
    USER_ATTRIBUTE_12                 VARCHAR2(600) ,
    USER_ATTRIBUTE_13                 VARCHAR2(600) ,
    USER_ATTRIBUTE_14                 VARCHAR2(600) ,
    USER_ATTRIBUTE_15                 VARCHAR2(600) ,
    SUBMITTER_ALC                     VARCHAR2(120) ,
    ORIGINATOR_ALC                    VARCHAR2(120) ,
    CUSTOMER_ALC                      VARCHAR2(120) ,
    CONTACT_NAME                      VARCHAR2(1440),
    CONTACT_EMAIL_ADDRESS             VARCHAR2(1280),
    CONTACT_PHONE_NUMBER              VARCHAR2(240) ,
    NUMBER_OF_DETAIL_ITEMS            NUMBER(3, 0)  ,
    ACCOMPLISHED_DATE                 DATE          ,
    ACCOUNTING_DATE                   DATE          ,
    CONTRACT_NUMBER                   NUMBER(18, 0) ,
    PURCHASE_ORDER_NUMBER             VARCHAR2(120) ,
    CLIN_NUMBER                       VARCHAR2(120) ,
    REQUISITION_NUMBER                VARCHAR2(120) ,
    QUANTITY                          NUMBER            NOT NULL,
    UNIT_OF_ISSUE                     VARCHAR2(40)      NOT NULL,
    UNIT_PRICE                        NUMBER            NOT NULL,
    DETAIL_AMOUNT                     NUMBER            NOT NULL,
    PAYMENT_FLAG                      VARCHAR2(4)   ,
    FY_OBLIGATION_ID                  NUMBER(18, 0) ,
    RECEIVER_TAS                      VARCHAR2(140) ,
    RECEIVER_BETC                     VARCHAR2(32)  ,
    RECEIVER_DUNS                     NUMBER(9, 0)  ,
    RECEIVER_DUNS_PLUS_4              NUMBER(4, 0)  ,
    SENDER_TAS                        VARCHAR2(140) ,
    SENDER_BETC                       VARCHAR2(32)  ,
    SENDER_DUNS                       NUMBER(9, 0)  ,
    SENDER_DUNS_PLUS_4                NUMBER(4, 0)  ,
    RECEIVER_DEPARTMENT_CODE          VARCHAR2(120) ,
    ACCOUNTING_CLASSIFICATION_CODE    VARCHAR2(120) ,
    ACRN_NUMBER                       VARCHAR2(120) ,
    JOB_PROJECT_NUMBER                VARCHAR2(120) ,
    JAS_NUMBER                        VARCHAR2(120) ,
    FSN_AAA_ADSN_NUMBER               NUMBER(9, 0)  ,
    OBLIGATING_DOCUMENT_NUMBER        VARCHAR2(120) ,
    ACT_TRACE_NUMBER                  NUMBER(30, 0) ,
    DESCRIPTION                       VARCHAR2(2000),
    MISCELLANEOUS_INFORMATION         VARCHAR2(2000),
    ORIGINAL_TRX_TYPE_CODE            VARCHAR2(120) ,
    IPAC_DOCUMENT_REF_NUMBER          NUMBER(18, 0) ,
    SENDER_DOS_ALC                    VARCHAR2(100) ,
    DODAAC_CODE                       VARCHAR2(120) ,
    TRX_CONTACT_EMAIL_ADDRESS         VARCHAR2(1280),
    TRANSACTION_CONTACT_PHONE         VARCHAR2(240) ,
    VOUCHER_NUMBER                    VARCHAR2(120) ,
    ORIGINAL_DOS_ALC                  VARCHAR2(100) ,
    ORIGINAL_ACCOMPLISHED_DATE        DATE          ,
    ORIGINAL_ACCOUNTING_DATE          DATE          ,
    ORIGINAL_DOCUMENT_REF_NUMBER      NUMBER(18, 0) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE_CATEGORY                VARCHAR2(600) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    TRX_CONTRACT_NUMBER               VARCHAR2(120) ,
    RECEIVER_DUNS_OR_UEI              VARCHAR2(48)  ,
    RECEIVER_DUNS_PLUS_4_OR_EFT       VARCHAR2(16)  ,
    SENDER_DUNS_OR_UEI                VARCHAR2(48)  ,
    SENDER_DUNS_PLUS_4_OR_EFT         VARCHAR2(16)  ,
    SUMMARY_AMOUNT                    NUMBER        ,
    RECORD_TYPE_CODE                  VARCHAR2(120) ,
    USSGL_TRANSACTION_CODE            VARCHAR2(120) ,
    TAXPAYER_NUMBER                   VARCHAR2(200) ,
    TAXPAYER_NAME                     VARCHAR2(1440),
    TRX_SET_CODE                      VARCHAR2(120) ,
    IPAC_BILLING_ID                   NUMBER(18, 0) ,
    CUSTOMER_ID                       NUMBER(18, 0) ,
    CUSTOMER_NAME                     VARCHAR2(1440),
    CUSTOMER_TRX_ID                   NUMBER(18, 0) ,
    CREDIT_DEBIT_CODE                 VARCHAR2(120) ,
    ACCOUNTED_FLAG                    VARCHAR2(4)   ,
    CONSTRAINT pk_fv_ipac_transaction_data PRIMARY KEY (TRANSACTION_DATA_ID, TRANSACTION_DATA_ID)
);
